# Uses of Interface
org.springframework.orm.jpa.persistenceunit.PersistenceManagedTypes

Packages that use PersistenceManagedTypes
Package
Description
org.springframework.orm.jpa
Package providing integration of JPA (Java Persistence API) with Spring concepts.
org.springframework.orm.jpa.persistenceunit
Internal support for managing JPA persistence units.

## Uses of PersistenceManagedTypes in org.springframework.orm.jpa

Methods in org.springframework.orm.jpa with parameters of type PersistenceManagedTypes
Modifier and Type
Method
Description
`void`
LocalContainerEntityManagerFactoryBean.`setManagedTypes(PersistenceManagedTypes managedTypes)`
Set the `PersistenceManagedTypes` to use to build the list of managed types as an alternative to entity scanning.

## Uses of PersistenceManagedTypes in org.springframework.orm.jpa.persistenceunit

Methods in org.springframework.orm.jpa.persistenceunit that return PersistenceManagedTypes
Modifier and Type
Method
Description
`static PersistenceManagedTypes`
PersistenceManagedTypes.`of(String... managedClassNames)`
Create an instance using the specified managed class names.
`static PersistenceManagedTypes`
PersistenceManagedTypes.`of(List<String> managedClassNames, List<String> managedPackages)`
Create an instance using the specified managed class names and packages.
`PersistenceManagedTypes`
PersistenceManagedTypesScanner.`scan(String... packagesToScan)`
Scan the specified packages and return a `PersistenceManagedTypes` that represents the result of the scanning.
Methods in org.springframework.orm.jpa.persistenceunit with parameters of type PersistenceManagedTypes
Modifier and Type
Method
Description
`void`
DefaultPersistenceUnitManager.`setManagedTypes(PersistenceManagedTypes managedTypes)`
Set the `PersistenceManagedTypes` to use to build the list of managed types as an alternative to entity scanning.